apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: openslice
  labels:
    org.etsi.osl.service: centrallog
  name: centrallog
spec:
  replicas: 1
  selector:
    matchLabels:
      org.etsi.osl.service: centrallog
  template:
    metadata:
      labels:
        org.etsi.osl.service: centrallog
    spec:
      containers:
        - env:
            - name: SPRING_APPLICATION_JSON
              value: >-
                { 
                  "spring.activemq.brokerUrl": "tcp://artemis:61616?jms.watchTopicAdvisories=false", 
                  "spring.activemq.user": "artemis", 
                  "spring.activemq.password": "artemis", 
                  "centrallogurl":"http://elk_ip:elk_port/index_name/_doc" 
                }
          image: labs.etsi.org:5050/osl/code/org.etsi.osl.centrallog.service:develop
          name: centrallog
          ports:
            - containerPort: 13013
      restartPolicy: Always
---
apiVersion: v1
kind: Service
metadata:
  namespace: openslice
  labels:
    org.etsi.osl.service: centrallog
  name: centrallog
spec:
  ports:
    - name: "13013"
      targetPort: 13013
      port: 13013
  selector:
    org.etsi.osl.service: centrallog

